# Manual integration

## Link to our site

This is the most basic option. Just create a link to our servers:

```
<a href="https://tickets.voordemensen.nl/demo/">Tickets</a>
```

You can add `/event/event_id` to directly link to a specific main or sub event:

```
<a href="https://tickets.voordemensen.nl/demo/event/95">Tickets for our Demo event</a>
```

{% hint style="info" %}
Optionally you can add two arguments to the query string

* `murmur` a session\_id you assign to this user and order
* `redirect_url` the URL (https only) the user is redirected to after payment
* `lang` ISO 639-1 code for UI locale (en/de/nl)

so the request would look something like:

```
https://tickets.voordemensen.nl/demo/event/95?murmur=dsfksduf93&redirect_url=https://yoursite.nl/thanks/
```

{% endhint %}

### Calendar

Or add `/cal` to display a calendar-view of your events:

```
<a href="https://tickets.voordemensen.nl/demo/cal">Calendar</a>
```

{% hint style="info" %}
Optionally add a main event\_id to the UR to only get specific events in the calendar:

`https://tickets.voordemensen.nl/demo/cal/220`
{% endhint %}

![](/files/-MIdkpIFLkv-KAGOJrGt)

{% hint style="warning" %}
Obviously this all will take the user completely from your site.
{% endhint %}

## Javascript front or side loader

You can keep the user on your site with our popup or side loader. First you load some Javascript from our site, then call a Javascript-function to activate.&#x20;

For the side loader add this Javascript to your HTML:

```
<script src="https://tickets.voordemensen.nl/client_name/event/vdm_sideloader.js"></script>
```

For the popup loader add this Javascript to your HTML:

```
<script src="https://tickets.voordemensen.nl/client_name/event/vdm_loader.js"></script>
```

{% hint style="info" %}
Don't forget to replace "client\_name" in the above line to your client\_name, for example: brakkegrond.
{% endhint %}

Now you can invoke the functions in the script:

```
vdm_order(order_id)
vdm_calendar()
```

So if you have an event with event\_id 95 you can launch the order screen like this:

```
<a href="javascript:vdm_order(95)">Order now</a>
```

{% hint style="info" %}
Optionally you can add a session\_id, an ISO 639-1 language code and the redirect\_url to the vdm\_order function, this will smooth the user-experience in case of cross-domain-cookie/session difficulties. If your site runs PHP it could look like this:

`vdm_order(95,'<?=session_id()?>','en','https://yoursite.com/')`&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.voordemensen.nl/api/manual-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
